const passport = require("passport");
const model = require('../models')

const JwtStrategy = require("passport-jwt").Strategy;
const { ExtractJwt } = require("passport-jwt");
var opts = {
    jwtFromRequest : ExtractJwt.fromAuthHeaderAsBearerToken(),
    secretOrKey: "croxsol"
}
passport.use(
    new JwtStrategy(opts, async function (jwt_payload,done){
        try {
            var user = await model.User.findOne({where: {username: jwt_payload.username}});
            user = user.dataValues
            console.log("pass user",user);
            if (user){
                return done(null,user)
            }else{
                return done(null,false)
            }
        } catch (error) {
            return done(error,false)
        }
    })
)

module.exports = passport;